<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [App\Http\Controllers\DataController::class, 'index']);

Route::get('data-import', [App\Http\Controllers\DataController::class, 'import'])->name('import');
Route::post('toimport', [App\Http\Controllers\DataController::class, 'toimport'])->name('toimport');
Route::get('toimport', [App\Http\Controllers\DataController::class, 'toimport'])->name('toimport');

Route::get('data-dirty', [App\Http\Controllers\DataController::class, 'dirtyData']);
Route::get('getDirtyData', [App\Http\Controllers\DataController::class, 'getDirtyData']);
Route::get('dataCleaning', [App\Http\Controllers\DataController::class, 'dataCleaning']);
